Skip to content

Instantly share code, notes, and snippets.

Embed
What would you like to do?
Upgrade All NPM Modules in One Shot
#https://stackoverflow.com/a/56723462/3697224
node -e "const pk = JSON.parse(require('fs').readFileSync('package.json', 'utf-8'));require('child_process').spawn('npm', ['install', ...Object.keys(Object.assign({},pk.dependencies, pk.devDependencies)).map(a=>a+'@latest')]).stdout.on('data', d=>console.log(d.toString()))"
# Simple Bash Script
for package in $(npm outdated | tail -n+2 | awk '{print $1"@"$4}'); do npm i $package; done
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment